/*   Arduino to Flash
 *   Using a potentiometer
 *   by John Park, Digital Arts Program, University of Oregon
 *
 *   Reads value from a potentiometer (connected to analog0)
 *   Sends that value thru serial, 
 *   For Flash to read, you must end each send with a null byte
 *   Only then does flash know that the transmission is finished
 *   Flash requires a handshake (Serial server) to receive data
 *   I recommend SerProxy (separate versions for MAC and PC)
 */

int potPin = 0;    // select the input pin for the potentiometer
int val = 0;       // variable to store the value coming from the sensor


void setup() {
  Serial.begin(9600);  
}

void loop() {
  val = analogRead(0);  // read the value from the sensor
  Serial.print(val);  
  Serial.print(0,BYTE); // tells flash that discrete send is over
  delay(12);            // need some delay between sends
}
